Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(295)

Side by Side Diff: tests/abandon.sh

Issue 10543151: Add test for git-svn with submodule/merge layout. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/depot_tools/
Patch Set: Created 8 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch | Annotate | Revision Log
« no previous file with comments | « git_cl.py ('k') | tests/basic.sh » ('j') | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
1 #!/bin/bash 1 #!/bin/bash
2 2
3 # Copyright (c) 2012 The Chromium Authors. All rights reserved.
4 # Use of this source code is governed by a BSD-style license that can be
5 # found in the LICENSE file.
6
3 # Check that abandoning a branch also abandons its issue. 7 # Check that abandoning a branch also abandons its issue.
4 8
5 set -e 9 set -e
6 10
7 . ./test-lib.sh 11 . ./test-lib.sh
8 12
9 setup_initsvn 13 setup_initsvn
10 setup_gitsvn 14 setup_gitsvn
11 15
12 ( 16 (
(...skipping 19 matching lines...) Expand all
32 "$GIT_CL status | grep -q abandoned && exit 1 || exit 0" 36 "$GIT_CL status | grep -q abandoned && exit 1 || exit 0"
33 ) 37 )
34 38
35 SUCCESS=$? 39 SUCCESS=$?
36 40
37 cleanup 41 cleanup
38 42
39 if [ $SUCCESS == 0 ]; then 43 if [ $SUCCESS == 0 ]; then
40 echo PASS 44 echo PASS
41 fi 45 fi
OLDNEW
« no previous file with comments | « git_cl.py ('k') | tests/basic.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698